# xarray.core.accessor_str.StringAccessor.pad

`StringAccessor.``pad`(width, side='left', fillchar=' ')

  Pad strings in the array up to width.

  Parameters:

  - width (int) – Minimum width of resulting string; additional characters will be filled with character defined in fillchar.
  - side ({'left', 'right', 'both'}, default 'left') – Side from which to fill resulting string.
  - fillchar (str, default ' ') – Additional character for filling, default is whitespace.

  Returns: | filled – Array with a minimum number of char in each element.
  Return type: | same type as values